GNU Radio C++ API Reference: gr::fec::code::dummy_encoder Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::fec::code::dummy_encoder Class Referenceabstract
GNU Radio C++ Signal Processing Blocks » Error Coding and Decoding

Dummy Encoding class. More...

`#include <gnuradio/fec/dummy_encoder.h>`

## Public Member Functions
bool | set_frame_size (unsigned int frame_size) override=0
double | rate () override=0
Public Member Functions inherited from gr::fec::generic_encoder
virtual void | generic_work (const void *in_buffer, void *out_buffer)=0
int | unique_id ()
std::string | alias ()
virtual int | get_input_size ()=0
virtual int | get_output_size ()=0
virtual const char * | get_input_conversion ()
virtual const char * | get_output_conversion ()
| generic_encoder (void)
| generic_encoder (std::string name)
virtual | ~generic_encoder ()

## Static Public Member Functions
static generic_encoder::sptr | make (int frame_size, bool pack=false, bool packed_bits=false)

## Additional Inherited Members
Public Types inherited from gr::fec::generic_encoder
typedef std::shared_ptr< generic_encoder > | sptr
Public Attributes inherited from gr::fec::generic_encoder
int | my_id
std::string | d_name
Static Public Attributes inherited from gr::fec::generic_encoder
static int | base_unique_id
Protected Attributes inherited from gr::fec::generic_encoder
gr::logger_ptr | d_logger

## Detailed Description

Dummy Encoding class.

A dummy encoder class that simply passes the input to the output. It is meant to allow us to easily use the FEC API encoder and decoder blocks in an application with no coding.

## Member Function Documentation

## ◆ make()

generic_encoder::sptr gr::fec::code::dummy_encoder::make | ( | int | frame_size,
|  | bool | pack = false,
|  | bool | packed_bits = false )
| static

Build a dummy encoding FEC API object.

Parameters

  frame_size | Number of bits per frame. If using in the tagged stream style, this is the maximum allowable number of bits per frame.
  pack | Determines how to handle the input data stream as packed or unpacked bits. If set to True, the encoder's get_input_conversion will be set to 'pack', meaning that the data must be packed before being sent to this encoder. Generally handled through an extended encoder interface.
  packed_bits | Determines how the output data stream is handled. If set to True, the encoder's get_output_conversion returns 'packed_bits', meaning that the output data of the encoder is packed and should be unpacked. Generally handled through an extended encoder interface.

## ◆ rate()

double gr::fec::code::dummy_encoder::rate | ( |  | ) |
| overridepure virtual

Returns the coding rate of this encoder (it will always be 1).

Implements gr::fec::generic_encoder.

## ◆ set_frame_size()

bool gr::fec::code::dummy_encoder::set_frame_size | ( | unsigned int | frame_size | ) |
| overridepure virtual

Sets the uncoded frame size to `frame_size`. If `frame_size` is greater than the value given to the constructor, the frame size will be capped by that initial value and this function will return false. Otherwise, it returns true.

Implements gr::fec::generic_encoder.

The documentation for this class was generated from the following file:

- dummy_encoder.h